<script lang="ts" context="module">
export async function load({session}) {
    return {
        props: {
            sess: session.sess
        }
    }
}
</script>
<script>
import {goto} from "$app/navigation";
import TextInput from "../../components/TextInput.svelte";
import PasswordInput from "../../components/PasswordInput.svelte";
import Button from "../../components/Button.svelte";
import * as Api from "../../api/Api";

export let sess;

let id, name, pwd, pwdConf;
let submitHandler = () => {
    if (pwd != pwdConf) {
        // TODO: properly disable button
        return;
    }
    Api.User.create(sess, id, name, pwd, 0).then(() => goto('/users/' + id))
        .catch(() => goto('/error?from=create-user'));
}
</script>

<svelte:head>
    <title>Create User | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={submitHandler}>
    <TextInput name="id" label="User ID" placeholder="s22400999" bind:value={id} /> 
    <TextInput name="name" label="Real Name" placeholder="John Doe" bind:value={name} /> 
    <PasswordInput name="pwd" label="Password" bind:value={pwd} />
    <PasswordInput name="pwdConf" label="Confirm Password" bind:value={pwdConf} />
    {#if pwd != pwdConf}
        <p>Passwords must match.</p>
    {/if}
    <Button content="Create User" theme="primary" onclick={submitHandler}/>
</form>